#include <fstream>
#include <cmath>
#include <iomanip>
using namespace std;
int ktra(float m,float n,float p)
{
	if (m+n>p&m+p>n&n+p>m)
	return 1;
	else
	return 0;	
}
int main()
{
      ifstream f("tamgiac.inp");
      ofstream g("tamgiac.out");
      float a,b,c;
      f>>a>>b>>c;
      float k=(a+b+c)/2;
      float s=sqrt((a+b+c)*(a+b-c)*(a+c-b)*(b+c-a))/4;
      if (ktra(a,b,c)==1)
      {g<<"YES"<<endl;
      g<<fixed<<setprecision(2)<<s;}
      else
      g<<"NO";
      f.close();
      g.close();
}
 

